io.vertx.rxjava.ext.shell.system

## Class JobController

- java.lang.Object
- - io.vertx.rxjava.ext.shell.system.JobController

-     public class JobController
      extends Object

  The job controller.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TypeArg<JobController>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JobController(JobController delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Close the shell session and terminate all the underlying jobs.
    `void` | `close(Handler<Void> completionHandler)` Close the controller and terminate all the underlying jobs, a closed controller does not accept anymore jobs.
    `Job` | `createJob(Process process, String line)` Create a job wrapping a process.
    `Job` | `foregroundJob()`
    `JobController` | `getDelegate()`
    `Job` | `getJob(int id)` Returns an active job in this session by its .
    `Set<Job>` | `jobs()`
    `static JobController` | `newInstance(JobController arg)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final TypeArg<JobController> __TYPE_ARG

  - ### Constructor Detail

    - #### JobController

          public JobController(JobController delegate)

  - ### Method Detail

    - #### getDelegate

          public JobController getDelegate()

    - #### foregroundJob

          public Job foregroundJob()

      Returns:
        the current foreground job

    - #### jobs

          public Set<Job> jobs()

      Returns:
        the active jobs

    - #### getJob

          public Job getJob(int id)

      Returns an active job in this session by its .
      Parameters:
        `id` - the job id
      Returns:
        the job of when not found

    - #### createJob

          public Job createJob(Process process,
                               String line)

      Create a job wrapping a process.
      Parameters:
        `process` - the process
        `line` - the line
      Returns:
        the created job

    - #### close

          public void close(Handler<Void> completionHandler)

      Close the controller and terminate all the underlying jobs, a closed controller does not accept anymore jobs.
      Parameters:
        `completionHandler` -

    - #### close

          public void close()

      Close the shell session and terminate all the underlying jobs.

    - #### newInstance

          public static JobController newInstance(JobController arg)

Copyright © 2017. All rights reserved.